Manage Recording Rules
Retrieve a list of recording rules
get
/api/recording-rulesParameters 2
datasetqueryFilter by dataset.
References Dataset
Optional dataset to query across. Defaults to whatever is configured to be the default dataset for the organization.
stringpattern
"^[a-zA-Z0-9_-]{3,26}$"originPrefixqueryFilter by origin prefix.
string
bash
Sample request12curl --request GET 'https://api.eu-west-1.aws.dash0.com/api/recording-rules' \--header "Authorization: Bearer ${DASH0_AUTH_TOKEN}"
Responses
List of recording rules.
array
Array items
References PrometheusRule
A resource following the monitoring.coreos.com/v1 PrometheusRule CRD format. A PrometheusRule contains one or more rule groups, each evaluated at a common interval. Groups may contain recording rules, alerting rules, or both.
PrometheusRuleMetadatarequired
Metadata for the PrometheusRule resource, following Kubernetes metadata conventions.
PrometheusRuleSpecrequired
Spec of the PrometheusRule resource containing rule groups.